<template>
  <button class="btn btn-light btn-block text-left mt-0" v-bind:class="activeClass()" @click="updateLayerGroupSelection">
    {{ layerGroup.title }}
  </button>
</template>

<script>
import { SET_WORKSPACE_ACTIVE_LAYER_GROUP } from '@/workspace/store/mutations'
import WorkspaceGetter from '@/workspace/mixins/WorkspaceGetter'

export default {
  name: 'layergroupcontrol',

  mixins: [
    WorkspaceGetter,
  ],

  props: {
    layerGroupId: {
      type: String,
      required: true,
    },
  },

  computed: {
    layerGroup: {
      get() {
        return this.$store.getters.workspaceLayerGroupById(this.workspaceId, this.layerGroupId)
      }
    },
  },

  methods: {
    activeClass() {
      return {
        active: this.$store.getters.workspaceActiveLayerGroup(this.workspaceId) === this.layerGroupId
      }
    },

    updateLayerGroupSelection() {
      this.$store.commit(SET_WORKSPACE_ACTIVE_LAYER_GROUP, {
        workspaceId: this.workspaceId,
        layerGroupId: this.layerGroupId,
      })
    },
  },
}
</script>
